<?php

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
//-----------　　マッチングPHP　　-----------
//   (C)Copyright 2001 by Chama.ne.jp
//       E-mail:master@chama.ne.jp
//       URL:http://www.chama.ne.jp/
//
//　ご利用頂く時はChamaNetの免責事項の同意が必要です。
//　詳しくは、ChamaNetサイト又はReadme.txtをお読み下さい。
//
//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

class Dataset{
	var $css_dir = './css/';
	var $data_dir = './data/';
	var $matchhtml_dir = './matchhtml/';
	var $unmatchhtml_dir = './unmatchhtml/';

}
class Kihon{
	public static function kihonin(){
		$dataset = new Dataset();
		$kihonfile = $dataset -> data_dir.'kihon.dat';
		$kihonhandle = fopen($kihonfile,'r');
		$kihondata = fgetcsv($kihonhandle,1024);
		fclose($kihonhandle);
		return($kihondata);
	}
	public static function unhtml($val){
		$val = str_replace('&','&amp;',$val);
		$val = str_replace('"','&quot;',$val);
		$val = str_replace('<','&lt;',$val);
		$val = str_replace('>','&gt;',$val);
		return($val);
	}
	public static function arrayin($file,$length = 4096){
		$fp = fopen($file, "r");
		$list = array();
		while(!feof($fp)){
			$ret = fgets($fp,$length);
			$ret = chop($ret);
			array_push($list,$ret);
		}
		fclose($fp);
		return($list);
	}
	public static function nomatch($file,$no,$length = 4096){
		$fp = fopen($file, "r");
		$returndata = '';
		while(!feof($fp)){
			$ret = fgets($fp,$length);
			$ret = chop($ret);
			$flag = 0;
			$splitdata = explode(',',$ret);
			if($splitdata[0] == $no){	$returndata = $ret;	}
		}
		fclose($fp);
		return($returndata);
	}
	public static function yymmdd($timestamp){
		$yymmdd = strftime('%D',$timestamp);
		$hhmmss = strftime('%T',$timestamp);
		$week = strftime('%A',$timestamp);
		$yymmdd = date("Y",$timestamp)."年".date("m月d日",$timestamp);
		$hhmmss = date("G:i:s",$timestamp);
		$week = array("日","月","火","水","木","金","土");
		$weekcnt = date("w",$timestamp);
		$reweek = "（".$week[$weekcnt]."）";
		$ymdhmsw = array($yymmdd,$hhmmss,$reweek);
		return $ymdhmsw;
	}
}
?>